Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoCellularEasyEA< EOT > Class Template Reference

The abstract cellular easy algorithm. More...

`#include <eoCellularEasyEA.h>`

Inheritance diagram for eoCellularEasyEA< EOT >:

List of all members.

## Public Member Functions
| eoCellularEasyEA (eoContinue< EOT > &_cont, eoEvalFunc< EOT > &_eval, eoSelectOne< EOT > &_sel_neigh, eoBinOp< EOT > &_cross, eoMonOp< EOT > &_mut, eoSelectOne< EOT > &_sel_repl)
| Two constructors.
| eoCellularEasyEA (eoContinue< EOT > &_cont, eoEvalFunc< EOT > &_eval, eoSelectOne< EOT > &_sel_neigh, eoQuadOp< EOT > &_cross, eoMonOp< EOT > &_mut, eoSelectOne< EOT > &_sel_child, eoSelectOne< EOT > &_sel_repl)
void | operator() (eoPop< EOT > &pop)
| For a given population.
## Protected Member Functions
virtual eoPop< EOT > | neighbours (const eoPop< EOT > &pop, int rank)=0
## Private Attributes
eoContinue< EOT > & | cont
eoEvalFunc< EOT > & | eval
eoPopLoopEval< EOT > | popEval
eoSelectOne< EOT > & | sel_neigh
eoBF< EOT &, EOT &, bool > & | cross
eoMonOp< EOT > & | mut
eoSelectOne< EOT > & | sel_child
eoSelectOne< EOT > & | sel_repl

## Detailed Description

### template<class EOT>
class eoCellularEasyEA< EOT >

The abstract cellular easy algorithm.

Definition at line 38 of file eoCellularEasyEA.h.

The documentation for this class was generated from the following file:

- eoCellularEasyEA.h